export JAVA_HOME=/usr/local/jdk1.8.0_171
export PATH=$JAVA_HOME/bin:$PATH

pids=$(jps| grep ff-admin.jar|awk '{print $1}')
for pid in $pids
do
   kill -9 $pid
done


nohup java -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/opt/sever/dist/ff-admin/gc.log \
-XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=/opt/sever/dist/ff-admin/dumps \
-XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=256m -Xms1g -Xmx2g -Xmn1g -Xss256k \
-XX:SurvivorRatio=8 -XX:+UseG1GC -XX:MaxGCPauseMillis=200 \
-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5005 \
-jar /opt/sever/dist/ff-admin/ff-admin.jar --spring.profiles.active=prod &




